Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0043224
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] A. Platformminorhave not tried2020-02-14 12:232020-02-27 16:48
Reporterinigo_lergaView Statuspublic 
Assigned Toinigo_lerga 
PrioritynormalResolutionfixedFixed in Version3.0PR20Q2
StatusclosedFix in branchFixed in SCM revision2474a0e0db97
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Todmiguelez
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0043224: Apply new HQL Style in StandardCostAdjustment.java

DescriptionStandardCostAdjustment.java has three HQL queries with:
- the HQL is hard to read because of formatting
- and it is mixing txt and i.e PROPERTY_ID constant which is not recommended by default
Steps To Reproduce-
Proposed SolutionFollow new format as in http://wiki.openbravo.com/wiki/HQL_Coding_Conventions [^]
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
related to design defect 0041287 acknowledgedplatform Tracking issue: Convert HQL to apply new style 

-  Notes
(0118172)
dmiguelez (developer)
2020-02-27 16:33

Test plan:

- With Standard Algorithm as the Costing Rule defined for an Organization
- Create a goods receipt for the next month
- Launch the Costing Background Process
- Create an Inventory Amount Update for today and set a different Unit Cost than the one proposed
- Launch the Costing Background Process (some of the queries are executed at this point)
- Create a Purchase Order for today and set a different price for the Product than the Standard Cost
- Create a Goods Receipt for the Purchase Order
- Launch the Costing Background Process (some of the queries are executed at this point)
(0118173)
hgbot (developer)
2020-02-27 16:47

Repository: erp/devel/pi
Changeset: 2474a0e0db979e62328b98af46b5efab88c77287
Author: IƱigo Lerga <inigo.lerga <at> openbravo.com>
Date: Thu Feb 20 11:34:17 2020 +0100
URL: http://code.openbravo.com/erp/devel/pi/rev/2474a0e0db979e62328b98af46b5efab88c77287 [^]

fixes BUG-43224:Applied new HQL Style + finals added

---
M src/org/openbravo/costing/StandardAlgorithm.java
M src/org/openbravo/costing/StandardCostAdjustment.java
---
(0118174)
hgbot (developer)
2020-02-27 16:47

Repository: erp/devel/pi
Changeset: c87dd18743fe694526eaf24395c285ede0fb68e3
Author: David Miguelez <david.miguelez <at> openbravo.com>
Date: Thu Feb 27 16:41:47 2020 +0100
URL: http://code.openbravo.com/erp/devel/pi/rev/c87dd18743fe694526eaf24395c285ede0fb68e3 [^]

Related to ISSUE-43224. Code Review Changes:
* Split case when statements in different lines to improve redability
* Added missing formatter:on tag
* Use ids in hql query comparisons instead of objects

---
M src/org/openbravo/costing/StandardCostAdjustment.java
---
(0118175)
dmiguelez (developer)
2020-02-27 16:48

Code Review + Testing Ok

- Issue History
Date Modified Username Field Change
2020-02-14 12:23 inigo_lerga New Issue
2020-02-14 12:23 inigo_lerga Assigned To => inigo_lerga
2020-02-14 12:23 inigo_lerga Modules => Core
2020-02-14 12:23 inigo_lerga Triggers an Emergency Pack => No
2020-02-17 08:33 inigo_lerga Status new => scheduled
2020-02-17 10:59 inigo_lerga Relationship added related to 0041287
2020-02-27 16:33 dmiguelez Note Added: 0118172
2020-02-27 16:47 hgbot Checkin
2020-02-27 16:47 hgbot Note Added: 0118173
2020-02-27 16:47 hgbot Status scheduled => resolved
2020-02-27 16:47 hgbot Resolution open => fixed
2020-02-27 16:47 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/2474a0e0db979e62328b98af46b5efab88c77287 [^]
2020-02-27 16:47 hgbot Checkin
2020-02-27 16:47 hgbot Note Added: 0118174
2020-02-27 16:48 dmiguelez Review Assigned To => dmiguelez
2020-02-27 16:48 dmiguelez Note Added: 0118175
2020-02-27 16:48 dmiguelez Status resolved => closed
2020-02-27 16:48 dmiguelez Fixed in Version => 3.0PR20Q2


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker